Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 462356 - www-client/chromium - please make app-accessibility/speech-dispatcher optional
Summary: www-client/chromium - please make app-accessibility/speech-dispatcher optional
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Chromium Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-19 19:36 UTC by Lars Wendler (Polynomial-C)
Modified: 2018-01-14 01:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
add speech use flag for speech-dispatcher (chromium_speech_dispatcher.patch,1.88 KB, patch)
2016-02-05 02:44 UTC, fariouche
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2013-03-19 19:36:40 UTC
As discussed in #gentoo-dev:

<phajdan-jr> latest Chromium dev channel will require pulseaudio (PA) unconditionally. What are your thoughts? Should I start working on making it optional? :)
[...]
<Mr_Bones_> phajdan-jr: yes please.
<Mr_Bones_> also the voice-related stuff if you are burning free time. ;-)
<phajdan-jr> Mr_Bones_: alright, I was pretty sure not everyone will want PA; now what's the voice-related stuff you refer to? And I'm not burning free time. :)
<Mr_Bones_> RDEPEND="app-accessibility/speech-dispatcher:=
<Mr_Bones_> probably media-libs/opus and media-libs/speex too
<phajdan-jr> Mr_Bones_: well, that's part of extensions API; I'm not sure if introducing extension-incompatible versions of the browser would be a good idea... WDYT? I'm still open to possible solutions to this.
<phajdan-jr> Mr_Bones_: and by the way - why?
<Mr_Bones_> I just don't use it and probably never will so I dislike having those packages merged.
<Mr_Bones_> you're right about the extension api though.  that sounds like a road left untraveled.
<leio> phajdan-jr: what, wasn't google doing their NIH with CRAS or whatever?
<Poly-C> phajdan-jr, I'd highly appreciate a chromium without these speech-dispatcher dependencies. Right now I have >=chromium-26 masked because of this.
<phajdan-jr> leio: I think CRAS is still there, just only for ChromeOS
<phajdan-jr> Poly-C: interesting; I'll think about that - please consider filing a bug, just note the extension API issue as discussed above
[...]
<leio> (how large is speech-dispatcher and any uninstalled deps? :P)
<mgorny> hmm, is SMTP down?
<leio> (and do I need to donate HDD and RAM)
<Poly-C> It's not about the size. I just don't want to get useless stuff clobbered over my systems.
[...]
<Poly-C> phajdan-jr, have to correct myself. I've masked >=chromium-25, not -26 which means I still have -24 on my machine at work. Gonna write the bug now.
Comment 1 Jason A. Donenfeld archtester Gentoo Infrastructure gentoo-dev Security 2014-02-28 18:29:17 UTC
sd_festival crashes all the time too.

[94460.996008] sd_festival[20635]: segfault at 2d0 ip 000000317880d424 sp 00007fffc76bce20 error 4 in libpthread-2.18.so[3178800000+18000]
Comment 2 fariouche 2016-02-05 02:44:32 UTC
Created attachment 424644 [details, diff]
add speech use flag for speech-dispatcher

This patch makes speech-dispatcher an option (using speech use flag)
Comment 3 fariouche 2016-02-05 02:47:37 UTC
Hi people,

I've made a quick patch for the stable version of chromium ebuild.
Works fine for me.

Maybe the use flag name is not the proper one to use (speech).

By the way: I tried this patch using an overlay, but portage still wants to pull speech-dispatcher!
If I modify portage package directly, it does not try to pull that package.
Either I didn't setup properly my overlay or I've hit a portage bug somewhere.

any help?
Comment 4 Andrew Savchenko gentoo-dev 2016-02-05 09:26:49 UTC
(In reply to fariouche from comment #3)
> Hi people,
> 
> I've made a quick patch for the stable version of chromium ebuild.
> Works fine for me.
> 
> Maybe the use flag name is not the proper one to use (speech).

Looks OK for me and it is used by other packages in the same way, but please patch metadata.xml to include the speech USE flag description.

> By the way: I tried this patch using an overlay, but portage still wants to
> pull speech-dispatcher!
> If I modify portage package directly, it does not try to pull that package.
> Either I didn't setup properly my overlay or I've hit a portage bug
> somewhere.

Please run emerge -pv www-client/chromium and see from what source it tries to emergre it. Package should have "::local" suffix in the end. For now it looks like for me that on your box emerge tries to install chromium from the Gentoo tree, not from the local overlay. This may happen if you forget to update package Manifest in the your local overlay.
Comment 5 Mike Gilbert gentoo-dev 2016-02-05 14:32:52 UTC
Comment on attachment 424644 [details, diff]
add speech use flag for speech-dispatcher

I don't like this patch.

With USE=speech, we build and link against the system libspeechd library.

With USE=-speech, we build against the bundled libspeechd headers and dlopen() libspeechd at runtime.

The USE flag seems pointless here; if we want to eliminate the speech-dispatcher dep, we should just simply use the dlopen() version unconditionally.
Comment 6 fariouche 2016-02-07 21:23:24 UTC
(In reply to Mike Gilbert from comment #5)
> Comment on attachment 424644 [details, diff] [details, diff]
> add speech use flag for speech-dispatcher
> 
> I don't like this patch.
> 
> With USE=speech, we build and link against the system libspeechd library.
> 
> With USE=-speech, we build against the bundled libspeechd headers and
> dlopen() libspeechd at runtime.
> 
> The USE flag seems pointless here; if we want to eliminate the
> speech-dispatcher dep, we should just simply use the dlopen() version
> unconditionally.

The line "conditional_bundled_libraries+=" third_party/speech-dispatcher"" in the patch does not mean "use bundled version instead" as far as I can see.
THe reason I think this is because conditional_bundled_libraries is passed to build/linux/unbundle/remove_bundled_libraries.py.

Now, I found an option in chromium. I will try to add the line :
$(gyp_use speech enable-speech-dispatcher) and see if it works.

Problem is: the compilation time is sooo loong!
Comment 7 fariouche 2016-02-07 22:16:08 UTC
I just check deeper in the source code, and it seems to be no way to entirely disable speech-dispatcher!
The only option we have is to use the dlopen version of the code.
The enabled-speech-dispatcher option is not a compilation option but a runtime option, and it is disabled by default as far as I can see.

Maybe the best option is to totally remove the conditional use flag "speech" I added as speech-dispatcher seems broken with chromium (big stability warning if you try to enable the option in the command line)
Comment 8 Mike Gilbert gentoo-dev 2018-01-14 01:03:37 UTC
It looks like we dropped the speech-dispatcher dep with chromium-56.